Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::TermVectorsTermsWriter Class Reference

`#include <TermVectorsTermsWriter.h>`

Inheritance diagram for Lucene::TermVectorsTermsWriter:

## Public Member Functions

| TermVectorsTermsWriter (const DocumentsWriterPtr &docWriter)
virtual | ~TermVectorsTermsWriter ()
virtual String | getClassName ()
boost::shared_ptr< TermVectorsTermsWriter > | shared_from_this ()
virtual TermsHashConsumerPerThreadPtr | addThread (const TermsHashPerThreadPtr &perThread)
virtual void | createPostings (Collection< RawPostingListPtr > postings, int32_t start, int32_t count)
virtual void | flush (MapTermsHashConsumerPerThreadCollectionTermsHashConsumerPerField threadsAndFields, const SegmentWriteStatePtr &state)
virtual void | closeDocStore (const SegmentWriteStatePtr &state)
TermVectorsTermsWriterPerDocPtr | getPerDoc ()
void | fill (int32_t docID)
| Fills in no-term-vectors for all docs we haven't seen since the last doc that had term vectors.
void | initTermVectorsWriter ()
void | finishDocument (const TermVectorsTermsWriterPerDocPtr &perDoc)
bool | freeRAM ()
void | free (const TermVectorsTermsWriterPerDocPtr &doc)
virtual void | abort ()
virtual int32_t | bytesPerPosting ()
Public Member Functions inherited from Lucene::TermsHashConsumer
virtual | ~TermsHashConsumer ()
boost::shared_ptr< TermsHashConsumer > | shared_from_this ()
virtual void | setFieldInfos (const FieldInfosPtr &fieldInfos)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermsHashConsumer
static String | _getClassName ()

## Data Fields

DocumentsWriterWeakPtr | _docWriter
TermVectorsWriterPtr | termVectorsWriter
Collection< TermVectorsTermsWriterPerDocPtr > | docFreeList
int32_t | freeCount
IndexOutputPtr | tvx
IndexOutputPtr | tvd
IndexOutputPtr | tvf
int32_t | lastDocID
int32_t | allocCount
Data Fields inherited from Lucene::TermsHashConsumer
FieldInfosPtr | fieldInfos

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ TermVectorsTermsWriter()

Lucene::TermVectorsTermsWriter::TermVectorsTermsWriter | ( | const DocumentsWriterPtr & | docWriter | ) |

## ◆ ~TermVectorsTermsWriter()

virtual Lucene::TermVectorsTermsWriter::~TermVectorsTermsWriter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::TermVectorsTermsWriter::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::TermVectorsTermsWriter::abort | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ addThread()

virtual TermsHashConsumerPerThreadPtr Lucene::TermVectorsTermsWriter::addThread | ( | const TermsHashPerThreadPtr & | perThread | ) |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ bytesPerPosting()

virtual int32_t Lucene::TermVectorsTermsWriter::bytesPerPosting | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ closeDocStore()

virtual void Lucene::TermVectorsTermsWriter::closeDocStore | ( | const SegmentWriteStatePtr & | state | ) |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ createPostings()

virtual void Lucene::TermVectorsTermsWriter::createPostings | ( | Collection< RawPostingListPtr > | postings,
|  | int32_t | start,
|  | int32_t | count
| ) |  |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ fill()

void Lucene::TermVectorsTermsWriter::fill | ( | int32_t | docID | ) |

Fills in no-term-vectors for all docs we haven't seen since the last doc that had term vectors.

## ◆ finishDocument()

void Lucene::TermVectorsTermsWriter::finishDocument | ( | const TermVectorsTermsWriterPerDocPtr & | perDoc | ) |

## ◆ flush()

virtual void Lucene::TermVectorsTermsWriter::flush | ( | MapTermsHashConsumerPerThreadCollectionTermsHashConsumerPerField | threadsAndFields,
|  | const SegmentWriteStatePtr & | state
| ) |  |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ free()

void Lucene::TermVectorsTermsWriter::free | ( | const TermVectorsTermsWriterPerDocPtr & | doc | ) |

## ◆ freeRAM()

bool Lucene::TermVectorsTermsWriter::freeRAM | ( |  | ) |

## ◆ getClassName()

virtual String Lucene::TermVectorsTermsWriter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermsHashConsumer.

## ◆ getPerDoc()

TermVectorsTermsWriterPerDocPtr Lucene::TermVectorsTermsWriter::getPerDoc | ( |  | ) |

## ◆ initTermVectorsWriter()

void Lucene::TermVectorsTermsWriter::initTermVectorsWriter | ( |  | ) |

## ◆ shared_from_this()

boost::shared_ptr< TermVectorsTermsWriter > Lucene::TermVectorsTermsWriter::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _docWriter

DocumentsWriterWeakPtr Lucene::TermVectorsTermsWriter::_docWriter

## ◆ allocCount

int32_t Lucene::TermVectorsTermsWriter::allocCount

## ◆ docFreeList

Collection<TermVectorsTermsWriterPerDocPtr> Lucene::TermVectorsTermsWriter::docFreeList

## ◆ freeCount

int32_t Lucene::TermVectorsTermsWriter::freeCount

## ◆ lastDocID

int32_t Lucene::TermVectorsTermsWriter::lastDocID

## ◆ termVectorsWriter

TermVectorsWriterPtr Lucene::TermVectorsTermsWriter::termVectorsWriter

## ◆ tvd

IndexOutputPtr Lucene::TermVectorsTermsWriter::tvd

## ◆ tvf

IndexOutputPtr Lucene::TermVectorsTermsWriter::tvf

## ◆ tvx

IndexOutputPtr Lucene::TermVectorsTermsWriter::tvx

The documentation for this class was generated from the following file:

- TermVectorsTermsWriter.h

clucene.sourceforge.net